Project

General

Profile

Bug #15280

r65509 - bundler & make install, no CLI

Added by MSP-Greg (Greg L) 18 days ago. Updated 1 day ago.

Status:
Feedback
Priority:
Normal
Target version:
-
ruby -v:
ruby 2.6.0dev (2018-11-03 trunk 65510) [x64-mingw32]
[ruby-core:89690]

Description

Something may be amiss with the addition of bundler and make install, as bundle(r) version is not working. Previously, I installed the bundler gem, and all was fine...

If it's any help, the ruby-loco 7z file (ruby_trunk.7z) is available at:

https://ci.appveyor.com/project/MSP-Greg/ruby-loco/builds/20019752/artifacts

History

#1 [ruby-core:89693] Updated by hsbt (Hiroshi SHIBATA) 17 days ago

  • Assignee set to hsbt (Hiroshi SHIBATA)
  • Status changed from Open to Assigned

#2 [ruby-core:89698] Updated by MSP-Greg (Greg L) 17 days ago

This seems to only affect bundler, while bundle is working fine. May be similar to -rubygems and -rrubygems...

#3 [ruby-core:89864] Updated by hsbt (Hiroshi SHIBATA) 1 day ago

  • Status changed from Assigned to Feedback

I couldn't reproduce them.

~/D/g/b/bundler (master) > ruby -v
ruby 2.6.0dev (2018-11-18 trunk 65790) +JIT [x86_64-darwin18]
~/D/g/b/bundler (master) > bundle version
Bundler version 2.0.0.pre.1 (2018-11-19 commit unknown)
~/D/g/b/bundler (master) > bundler version
Bundler version 2.0.0.pre.1 (2018-11-19 commit unknown)

#4 [ruby-core:89865] Updated by MSP-Greg (Greg L) 1 day ago

hsbt (Hiroshi SHIBATA)

Sorry, I should have added some more info. It's a Windows build, and there are three *.cmd files in bin:
bundle.cmd
bundle_ruby.cmd
bundler.cmd

bundler.cmd which doesn't work, has one 'ruby' line

load File.expand_path("../bundle", __FILE__)

Console:

PS C:\Greg\GitHub\rubygems> bundler env
Traceback (most recent call last):
        1: from C:/Greg/Ruby99-x64/bin/bundler.cmd:12:in `<main>'
C:/Greg/Ruby99-x64/bin/bundler.cmd:12:in `load': cannot load such file -- C:/Greg/Ruby99-x64/bin/bundle (LoadError)

bundle.cmd works, and has several lines of code. I can attached the two if it would be helpful.

Used ruby 2.6.0dev (2018-11-19 trunk 65793) [x64-mingw32] for this... thanks, Greg

Also available in: Atom PDF